Subject: bug#12615: 24.2.50; Non-ignored case in insert-char

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Jan 2013 21:41:11 -0500

>> Tho we might still want to make it possible to specify case-irrelevance
>> in the completion table itself.
> I suppose you mean specifying `completion-ignore-case' in `metadata'.

I didn't intend to specify a particular way to do it.  It could be via
the `metadata', indeed.  But in Emacs<23 it was done simply be having
try-completion and all-completions ignore the case, without having to
tell anyone else.  If this "old style" (i.e. the style currently used in
read-char-by-name) can be made to work, that'd be even better.

        Stefan